UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 32600

11.1 Licensing - Pre ISE 10.1 PlanAhead licenses are not valid for PlanAhead 11.1

Description


I have been using a licensed version of PlanAhead for some time. The license has not expired, but my new version of PlanAhead does not work with the older license.

Example:

INFO: [HD-Licensing 0] Attempting to get a license: PlanAhead

Security_ISE, licenseName='PlanAhead' version='2008.08', seats=1.

ERROR: [HD-Licensing 0] Failed to get a license: PlanAhead

ERROR: [HD-Licensing 1] NOTICE: A license is required for 'PlanAhead'.


ERROR: [HD-Licensing 2] License server system does not support this version of this feature.

Feature: PlanAhead

License path: 2200@server1 c:/home/.Xilinx/*.lic:/CAE/Xilinx/data/*.lic:

FLEXnet Licensing error:-25,147

For further information, refer to the FLEXnet Licensing End User Guide,

available at "www.macrovision.com".

FLEX error code: -25

Solution


The error message might be confusing, since it states that it "failed to get a license."

The key message in the error report is "License server system does not support this version of this feature."

The PlanAhead feature (version 2.0) was being used up until the 10.1 unified release. The new PlanAhead feature has a version limit that resembles YEAR.MONTH (e.g., 2008.10) and the old licenses are no longer valid with the new software.

A new license can be generated for any user with an account entitlement for PlanAhead. In ISE 11.1, the PlanAhead feature comes with entitlement to PlanAhead or any ISE Design Suite edition.
AR# 32600
Date Created 04/23/2009
Last Updated 10/26/2011
Status Archive
Type General Article
Tools
  • PlanAhead - 11.1